---
schema_version: "1"
id: cc757b72f2b33efd9f805625e9ee6c7fe81a372a7bd624f77a045fd6ae0c7955
title: Get List View Chart Actions
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_list_view_chart.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_list_view_chart.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 7a7a531f7a370ee8008f289d388ab6f8f18bb1d270bb9576012b7fb82f2f9174
description: Get the chart actions on list views.
---
# Get List View Chart Actions

Get the chart actions on list views.

Resource

/ui-api/actions/list-view-chart/${objectApiName}

![Note](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/images/icon_note.png)

#### Note

Currently, only ListViewChartInstance is valid for ${objectApiName}.

Available Version

41.0

HTTP Method

GET

Example

This example gets the chart actions on a list view.

GET /services/data/v68.0/ui-api/actions/list-view-chart/ListViewChartInstance

The request returns a list of chart actions on the list view and the URLs of the request and subrequests.

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d48382e121">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d48382e124">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d48382e127">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d48382e130">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d48382e133">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d48382e121" data-title="Parameter Name"><samp class="codeph nolang">actionTypes</samp></td>

                  <td class="entry" headers="d48382e124" data-title="Type">String[]</td>

                  <td class="entry" headers="d48382e127" data-title="Description">
                    <p class="p">The action type. One or more of these values: </p>

                    <ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">CustomButton</samp>—A button that opens a
                        URL or Visualforce page or executes JavaScript.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">ProductivityAction</samp>—A pre-defined
                        Salesforce action, attached to a limited set of objects.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">QuickAction</samp>—A global or
                        object-specific action.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">StandardButton</samp>—A pre-defined
                        Salesforce button, such as <strong class="ph uicontrol">New</strong>,
                        <strong class="ph uicontrol">Edit</strong>, and <strong class="ph uicontrol">Delete</strong>.
                      </li>

                    </ul>

                  </td>

                  <td class="entry" headers="d48382e130" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d48382e133" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d48382e121" data-title="Parameter Name"><samp class="codeph nolang">apiNames</samp></td>

                  <td class="entry" headers="d48382e124" data-title="Type">String[]</td>

                  <td class="entry" headers="d48382e127" data-title="Description">The API names of one or more actions to be retrieved. Use this parameter
                    only when passing <samp class="codeph nolang">retrievalMode=All</samp>. </td>

                  <td class="entry" headers="d48382e130" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d48382e133" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d48382e121" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d48382e124" data-title="Type">String</td>

                  <td class="entry" headers="d48382e127" data-title="Description">The layout display size. One of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—(Default) Use this value to
                        get a layout for desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—Use this value to get a
                        layout for tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—Use this value to get a
                        layout for phone display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d48382e130" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d48382e133" data-title="Available Version">41.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d48382e121" data-title="Parameter Name"><samp class="codeph nolang">retrievalMode</samp></td>

                  <td class="entry" headers="d48382e124" data-title="Type">String</td>

                  <td class="entry" headers="d48382e127" data-title="Description">When the action context is <samp class="codeph nolang">Record</samp>,
                    this parameter indicates which actions to retrieve from the record page. One
                    of these values:<ul class="ul bulletList">
                      <li class="li">
                        <samp class="codeph nolang">All</samp>—Retrieves all actions specified
                        in the <samp class="codeph nolang">apiNames</samp> parameter.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">PageLayout</samp>—(Default) Retrieves
                        actions from the page layout.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d48382e130" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d48382e133" data-title="Available Version">49.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d48382e121" data-title="Parameter Name"><samp class="codeph nolang">sections</samp></td>

                  <td class="entry" headers="d48382e124" data-title="Type">String[]</td>

                  <td class="entry" headers="d48382e127" data-title="Description">The section of the user interface that the actions reside in. One or more
                    of these values: <ul class="ul bulletList">
                      <li class="li"><samp class="codeph nolang">ActivityComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">CollaborateComposer</samp></li>

                      <li class="li"><samp class="codeph nolang">Page</samp></li>

                      <li class="li"><samp class="codeph nolang">SingleActionLinks</samp></li>

                    </ul>

                  </td>

                  <td class="entry" headers="d48382e130" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d48382e133" data-title="Available Version">41.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[Action](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_action.htm "The actions for a single record or a collection of records.")